cascading.flow

## Class FlowSkipIfSinkExists

- java.lang.Object
- - cascading.flow.FlowSkipIfSinkExists

- All Implemented Interfaces:
    FlowSkipStrategy

      public class FlowSkipIfSinkExists
      extends java.lang.Object
      implements FlowSkipStrategy

  Class FlowSkipIfSinkExists is a `FlowSkipStrategy` implementation that returns `true` if the Flow sink exists, regardless if it is stale or not.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowSkipIfSinkExists()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `skipFlow(Flow flow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowSkipIfSinkExists

          public FlowSkipIfSinkExists()

  - ### Method Detail

    - #### skipFlow

          public boolean skipFlow(Flow flow)
                           throws java.io.IOException

      Specified by:
        `skipFlow` in interface `FlowSkipStrategy`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.